package RPM::Source::Dependency::Analyzer::Collector::Parser::CPP_header;

use strict;
use warnings;

use RPM::Source::Dependency::Analyzer::Collector::Parser;

our @ISA=qw/RPM::Source::Dependency::Analyzer::Collector::Parser/;
our $verbose=0;
our $VERSION=0.001;

sub parse_string {
    my ($self,$data)=@_;
    #$data=~s/\\\n//gs;
    foreach my $line (split("\n",$data)) {
	&_parse_line($self,$line);
    }
}

sub _parse_line {
    my ($self,$line)=@_;
    #$line=~s/^\s*//;
    #$line=~s/\s*$//;
    if ($line=~/^\s*#\s*include\s*<([^>]+)>\s*$/) {
	$self->add_header($1);
    }
}

sub add_header {
    my ($self,$name)=@_;
    print STDERR "HEADER: add $name\n" if $verbose>1;
    my $hook=$self->{-headerhook};
    &$hook($name,$self) if $hook;
    return;
}

1;
