package RPM::Source::Dependency::Analyzer::Collector::Plugin::CPP_header;

use strict;
use warnings;

use RPM::Source::Dependency::Analyzer::Collector::Parser::CPP_header;
our @ISA=qw/RPM::Source::Dependency::Analyzer::Collector::Parser::CPP_header/;

our $verbose=0;

sub new {
    my $class=shift;
    $class->SUPER::new(
	-verbose => $verbose,
	-headerhook => \&_cpp_header_handler,
	@_
	);
}

sub _cpp_header_handler {
    my ($name,$parser)=@_;
    my $storage=$parser->{-storage};
    print "_cpp_header_handler: $name\n" if $verbose;
    $storage->add_hdrs_req( &__add_h($name) );
}

# TODO: prototype: copypasted with autoconf
sub __add_h {
    # not used...
    #return map {/\.h$/ ? $_ : $_.'.h'} @_;
    return @_;
}



1;
