package RPM::Source::Dependency::Analyzer::Collector::Plugin::Lua;

use strict;
use warnings;

use RPM::Source::Dependency::Analyzer::Collector::Parser;
our @ISA=qw/RPM::Source::Dependency::Analyzer::Collector::Parser/;

our $verbose=0;
our $VERSION=0.001;

sub parse_string {
    my ($self,$data)=@_;
    #$data=~s/\\\n//gs;
    foreach my $line (split("\n",$data)) {
	&_parse_line($self,$line);
    }
}

sub _parse_line {
    my ($self,$line)=@_;
    #$line=~s/^\s*//;
    #$line=~s/\s*$//;
    if ($line=~/(?:^|=\s*)require\s*["']([^>]+)["']\s*$/) {
	$self->add_lua($1);
    } elsif ($line=~/\brequire\b/) {
	print STDERR "DEBUG: Dependency::Analyzer: Lua: can be require: $line\n" if $verbose>1;
    }
}


sub add_lua {
    my ($self, $name)=@_;
    print "_lua_handler: $name\n" if $verbose;
    #$self->{-storage}->add_lua_req( &__lua($name) );
    $self->{-storage}->add_lua_req( $name );
}

# TODO: prototype: copypasted with autoconf
sub __lua {
    # not used...
    return @_;
}



1;
