package RPM::Source::Dependency::Analyzer::Resolver::CMakeResolver;

use strict;
use warnings;
use Carp;

use RPM::Source::Dependency::Analyzer::Resolver::SingleType;
our @ISA=qw/RPM::Source::Dependency::Analyzer::Resolver::SingleType/;

our $verbose=0;

sub _map_and_resolve {
    my ($self,$candidate)=@_;
    my $db=$self->get_distrodbname;
    my $lcname=lc($candidate);
    # kf5,qt5,... components name mangle
    $lcname=~s/^(kf5|qt5)::/$1/;
    my @data=$self->_distrodb_translate($db,$lcname);
    #if @data
    return \@data, undef;
}




1;

__END__
