package RPM::Source::Dependency::Analyzer::Collector::Plugin::Configure;

use strict;
use warnings;

use RPM::Source::Dependency::Analyzer::Collector::PkgDB;
use RPM::Source::Dependency::Analyzer::Collector::Parser;
our @ISA=qw/RPM::Source::Dependency::Analyzer::Collector::Parser/;

our $verbose=0;

sub parse_file {
    my ($self,$filename)=@_;
    my $storage=$self->{-storage};
    open my $fh, "<", $filename or die $!;
    local $_;
    while (<$fh>) {
	chomp;
	if (/\$LINENO: error: C\+\+ preprocessor \\"\$CXXCPP\\" fails sanity check/) {
	    #reason='broken C++ test in configure';
	    print STDERR "DEBUG: Collector::Plugin::Configure: found broken C++ test in configure\n" if $verbose;
	    &RPM::Source::Dependency::Analyzer::Collector::PkgDB::db_add_environment($storage, 'cxx');
	    #$storage->add_pkgs_req( 'gcc-c++' );
	    last;
	}
    }
    close $fh;
}

1;
