package RPM::Source::Dependency::Analyzer::Collector::Plugin::ShEvalPkgConfig;

use strict;
use warnings;

our @ISA=qw/RPM::Source::Dependency::Analyzer::Collector::Parser/;

our $verbose=0;

sub parse_string {
    my ($self,$data)=@_;
    my $storage=$self->{-storage};
    my @pkg_config_calls;
    if ($data) {
	while ($data=~/\`pkg-config\s+(?:--\w+)?\s+([A-Za-z]\w+)(?:\s+([A-Za-z]\w+))?(?:\s+([A-Za-z]\w+))?/g) {
	    push @pkg_config_calls, $1;
	    push @pkg_config_calls, $2 if $2;
	    push @pkg_config_calls, $3 if $3;
	}
    }
    print "DEBUG: SourceAnalyzer::ShEvalPkgConfig: ",join(',',@pkg_config_calls),"\n" if $verbose;
    $storage->add_pkgconf_req( @pkg_config_calls );
}

1;
